# $Id: define.make,v 1.5 2010/07/09 13:15:55 babolo Exp $

BASE		= ispms
PREFIX		?= /usr/local
LIBINCLUDEDIR	?= ${PREFIX}/include/babolo
BABOLOMAKE_CONF	= ${PREFIX}/etc/babolomake.conf
ISPMSINCLUDEDIR	?= ${LIBEDIR}/include
BUILDINCLUDEDIR	?= ${LIBEDIR}/include
WWWROOTDATA	?= ${WWWROOT}/ispms
VERSIONDIR	?= ${ISPMSINCLUDEDIR}
MAKEFLAGS	+= -I ${ISPMSINCLUDEDIR} ISPMSINCLUDEDIR=${ISPMSINCLUDEDIR}

.if exists(Shema)
  PLUGSQLSCRIPTS= S_create S_init S_restore S_tune S_dump S_delete
  SQLS		+= Shema
  DIST		+= ${SQLS} Shema
  CLEAN		+= ${PLUGSQLSCRIPTS}
.endif

AWK		= /usr/local/bin/gawk
.include <${LIBINCLUDEDIR}/define.make>

CLEAN		+= index.dir *.shtml
M4FLAGS		+= -DISPMSINCLUDEDIR=${ISPMSINCLUDEDIR} -DWWWROOTDATA=${WWWROOTDATA}
M4INC		+= ${ISPMSINCLUDEDIR}/def.m4
MAKEINC		+= ${ISPMSINCLUDEDIR}/define.make ${ISPMSINCLUDEDIR}/common.make

